Bug 992364 - ghc-hakyll: FTBFS in rawhide
ghc-hakyll: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ghc-hakyll (Show other bugs)
20
arm Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On: 992430
Blocks: F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-05 00:21 EDT by Dennis Gilmore
Modified: 2014-06-09 22:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: ghc-xss-sanitize-0.3.5.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 22:59:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-05 00:21:38 EDT
Your package ghc-hakyll failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5719823

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/9823/5719823/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/9823/5719823/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/9823/5719823/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Jens Petersen 2013-08-20 12:17:01 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=5833480

DEBUG util.py:264:  Error: Package: ghc-pandoc-1.11.1-3.fc20.x86_64 (build)
DEBUG util.py:264:             Requires: libbibutils.so.4()(64bit)

(bibutils is now 5.0 - though seems I originally forgot to build it or it failed? :-|)
Comment 2 Fedora End Of Life 2013-09-16 11:29:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Jens Petersen 2014-05-09 06:20:27 EDT
Still no pandoc build for ARM.
Comment 4 Jens Petersen 2014-05-13 20:52:20 EDT
Fixed in rawhide with ghc-hakyll-4.5.1.0-2.fc21.
Comment 5 Fedora Update System 2014-05-29 23:26:20 EDT
pandoc-1.12.3.3-2.fc20, ghc-conduit-1.0.13.1-1.fc20, ghc-wai-1.4.1-1.fc20, ghc-hakyll-4.5.1.0-2.fc20, ghc-warp-1.3.8.4-1.fc20, ghc-scotty-0.5.0-4.fc20, ghc-citeproc-hs-0.3.9-2.fc20, ghc-tagsoup-0.13.1-1.fc20, ghc-texmath-0.6.6.1-1.fc20, ghc-pandoc-types-1.12.3.3-1.fc20, ghc-yaml-0.8.8.2-1.fc20, ghc-wai-extra-1.3.4.6-1.fc20, ghc-monad-logger-0.3.1.1-3.fc20, ghc-zlib-conduit-1.0.0-4.fc20, ghc-wai-logger-0.3.2-1.fc20, ghc-network-conduit-1.0.4-1.fc20, ghc-blaze-builder-conduit-1.0.0-4.fc20, ghc-attoparsec-conduit-1.0.1.2-1.fc20, ghc-resourcet-0.4.10.2-1.fc20, ghc-lifted-base-0.2.2.1-1.fc20, ghc-vault-0.3.0.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-6874/pandoc-1.12.3.3-2.fc20,ghc-conduit-1.0.13.1-1.fc20,ghc-wai-1.4.1-1.fc20,ghc-hakyll-4.5.1.0-2.fc20,ghc-warp-1.3.8.4-1.fc20,ghc-scotty-0.5.0-4.fc20,ghc-citeproc-hs-0.3.9-2.fc20,ghc-tagsoup-0.13.1-1.fc20,ghc-texmath-0.6.6.1-1.fc20,ghc-pandoc-types-1.12.3.3-1.fc20,ghc-yaml-0.8.8.2-1.fc20,ghc-wai-extra-1.3.4.6-1.fc20,ghc-monad-logger-0.3.1.1-3.fc20,ghc-zlib-conduit-1.0.0-4.fc20,ghc-wai-logger-0.3.2-1.fc20,ghc-network-conduit-1.0.4-1.fc20,ghc-blaze-builder-conduit-1.0.0-4.fc20,ghc-attoparsec-conduit-1.0.1.2-1.fc20,ghc-resourcet-0.4.10.2-1.fc20,ghc-lifted-base-0.2.2.1-1.fc20,ghc-vault-0.3.0.3-1.fc20
Comment 6 Fedora Update System 2014-05-30 19:53:52 EDT
Package ghc-xss-sanitize-0.3.5.2-1.fc20, ghc-lambdabot-utils-4.2.2-4.fc20, pandoc-1.12.3.3-2.fc20, ghc-conduit-1.0.13.1-1.fc20, ghc-wai-1.4.1-1.fc20, ghc-hakyll-4.5.1.0-2.fc20, ghc-warp-1.3.8.4-1.fc20, ghc-scotty-0.5.0-4.fc20, ghc-citeproc-hs-0.3.9-2.fc20, ghc-tagsoup-0.13.1-1.fc20, ghc-texmath-0.6.6.1-1.fc20, ghc-pandoc-types-1.12.3.3-1.fc20, ghc-yaml-0.8.8.2-1.fc20, ghc-wai-extra-1.3.4.6-1.fc20, ghc-monad-logger-0.3.1.1-3.fc20, ghc-zlib-conduit-1.0.0-4.fc20, ghc-wai-logger-0.3.2-1.fc20, ghc-network-conduit-1.0.4-1.fc20, ghc-blaze-builder-conduit-1.0.0-4.fc20, ghc-attoparsec-conduit-1.0.1.2-1.fc20, ghc-resourcet-0.4.10.2-1.fc20, ghc-lifted-base-0.2.2.1-1.fc20, ghc-vault-0.3.0.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-xss-sanitize-0.3.5.2-1.fc20 ghc-lambdabot-utils-4.2.2-4.fc20 pandoc-1.12.3.3-2.fc20 ghc-conduit-1.0.13.1-1.fc20 ghc-wai-1.4.1-1.fc20 ghc-hakyll-4.5.1.0-2.fc20 ghc-warp-1.3.8.4-1.fc20 ghc-scotty-0.5.0-4.fc20 ghc-citeproc-hs-0.3.9-2.fc20 ghc-tagsoup-0.13.1-1.fc20 ghc-texmath-0.6.6.1-1.fc20 ghc-pandoc-types-1.12.3.3-1.fc20 ghc-yaml-0.8.8.2-1.fc20 ghc-wai-extra-1.3.4.6-1.fc20 ghc-monad-logger-0.3.1.1-3.fc20 ghc-zlib-conduit-1.0.0-4.fc20 ghc-wai-logger-0.3.2-1.fc20 ghc-network-conduit-1.0.4-1.fc20 ghc-blaze-builder-conduit-1.0.0-4.fc20 ghc-attoparsec-conduit-1.0.1.2-1.fc20 ghc-resourcet-0.4.10.2-1.fc20 ghc-lifted-base-0.2.2.1-1.fc20 ghc-vault-0.3.0.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6874/pandoc-1.12.3.3-2.fc20,ghc-conduit-1.0.13.1-1.fc20,ghc-wai-1.4.1-1.fc20,ghc-hakyll-4.5.1.0-2.fc20,ghc-warp-1.3.8.4-1.fc20,ghc-scotty-0.5.0-4.fc20,ghc-citeproc-hs-0.3.9-2.fc20,ghc-tagsoup-0.13.1-1.fc20,ghc-texmath-0.6.6.1-1.fc20,ghc-pandoc-types-1.12.3.3-1.fc20,ghc-yaml-0.8.8.2-1.fc20,ghc-wai-extra-1.3.4.6-1.fc20,ghc-monad-logger-0.3.1.1-3.fc20,ghc-zlib-conduit-1.0.0-4.fc20,ghc-wai-logger-0.3.2-1.fc20,ghc-network-conduit-1.0.4-1.fc20,ghc-blaze-builder-conduit-1.0.0-4.fc20,ghc-attoparsec-conduit-1.0.1.2-1.fc20,ghc-resourcet-0.4.10.2-1.fc20,ghc-lifted-base-0.2.2.1-1.fc20,ghc-vault-0.3.0.3-1.fc20,ghc-xss-sanitize-0.3.5.2-1.fc20,ghc-lambdabot-utils-4.2.2-4.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-06-09 22:59:47 EDT
ghc-xss-sanitize-0.3.5.2-1.fc20, ghc-lambdabot-utils-4.2.2-4.fc20, pandoc-1.12.3.3-2.fc20, ghc-conduit-1.0.13.1-1.fc20, ghc-wai-1.4.1-1.fc20, ghc-hakyll-4.5.1.0-2.fc20, ghc-warp-1.3.8.4-1.fc20, ghc-scotty-0.5.0-4.fc20, ghc-citeproc-hs-0.3.9-2.fc20, ghc-tagsoup-0.13.1-1.fc20, ghc-texmath-0.6.6.1-1.fc20, ghc-pandoc-types-1.12.3.3-1.fc20, ghc-yaml-0.8.8.2-1.fc20, ghc-wai-extra-1.3.4.6-1.fc20, ghc-monad-logger-0.3.1.1-3.fc20, ghc-zlib-conduit-1.0.0-4.fc20, ghc-wai-logger-0.3.2-1.fc20, ghc-network-conduit-1.0.4-1.fc20, ghc-blaze-builder-conduit-1.0.0-4.fc20, ghc-attoparsec-conduit-1.0.1.2-1.fc20, ghc-resourcet-0.4.10.2-1.fc20, ghc-lifted-base-0.2.2.1-1.fc20, ghc-vault-0.3.0.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.